import { createAsyncThunk } from "@reduxjs/toolkit";
import axios from "axios";
import moment from "moment/moment";
import { LOADING_END, LOADING_START } from "../../../lib/redux/slices/appSlice";
import { getRoleFromUrl } from "../../../utils/getRoleFromUrl";

export const provinceGetFreeSalesRequestsService = createAsyncThunk(
  "PROVINCE_GET_FREE_SALES_REQUESTS_SERVICE",
  async (d, { dispatch }) => {
    dispatch(LOADING_START());
    d = d || moment(new Date()).format("YYYY-MM-DD");
    const { data, status } = await axios.get("out-province-poultry-requests", {
      params: {
        role: getRoleFromUrl(),
        date1: d.selectedDate1,
        date2: d.selectedDate2,
        out: "",
      },
    });
    dispatch(LOADING_END());
    return { data, status };
  }
);
